Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Interface SVGValue

All Superinterfaces:
  Value

public interface SVGValue
extends Value

This interface represents the values for properties like 'fill', 'flood-color'...

Method Summary
`float` | `getColor(int i)` Returns the color at the given index, if this object represents a SVGColor.
`java.lang.String` | `getColorProfile()` Returns the color profile, if this object represents a SVGColor.
`short` | `getColorType()` Returns the color type, if this object represents a SVGColor.
`int` | `getNumberOfColors()` Returns the number of colors, if this object represents a SVGColor.
`short` | `getPaintType()` Returns the paint type, if this object represents a SVGPaint.
`java.lang.String` | `getUri()` Returns the URI of the paint, if this object represents a SVGPaint.

Methods inherited from interface org.apache.batik.css.engine.value.Value
`getBlue, getBottom, getCssText, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getPrimitiveType, getRed, getRight, getSeparator, getStringValue, getTop, item`

Method Detail

### getPaintType

    public short getPaintType()
                       throws org.w3c.dom.DOMException

  Returns the paint type, if this object represents a SVGPaint.

  Throws:
    `org.w3c.dom.DOMException`

### getUri

    public java.lang.String getUri()
                            throws org.w3c.dom.DOMException

  Returns the URI of the paint, if this object represents a SVGPaint.

  Throws:
    `org.w3c.dom.DOMException`

### getColorType

    public short getColorType()
                       throws org.w3c.dom.DOMException

  Returns the color type, if this object represents a SVGColor.

  Throws:
    `org.w3c.dom.DOMException`

### getColorProfile

    public java.lang.String getColorProfile()
                                     throws org.w3c.dom.DOMException

  Returns the color profile, if this object represents a SVGColor.

  Throws:
    `org.w3c.dom.DOMException`

### getNumberOfColors

    public int getNumberOfColors()
                          throws org.w3c.dom.DOMException

  Returns the number of colors, if this object represents a SVGColor.

  Throws:
    `org.w3c.dom.DOMException`

### getColor

    public float getColor(int i)
                   throws org.w3c.dom.DOMException

  Returns the color at the given index, if this object represents a SVGColor.

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.